
#include "..\..\..\00_HeaderFiles\02_DerivedClasses\Scenes\CTerminalScene.h"

#include "..\..\..\00_HeaderFiles\03_OtherClasses\CAllKeysState.h"
#include "..\..\..\00_HeaderFiles\00_ManagementClasses\CImageManager.h"
#include "..\..\..\00_HeaderFiles\00_ManagementClasses\CSceneManager.h"


CTerminalScene::CTerminalScene( void )
{
}


CTerminalScene::~CTerminalScene( void )
{
}

void CTerminalScene::Run( CImageManager* arg_pinImageManager,
                          CAllKeysState* arg_pinAllKeysState )
{
	arg_pinImageManager->Draw( 0, 0, CImageManager::EImageID::TERMINAL_BACK );
	
	if ( arg_pinAllKeysState->IsKeyPushed( KEY_INPUT_RETURN ) == 1 )
	{
		m_eRequestScene = CSceneManager::ESceneType::TITLE;
	}
}